org.apache.uima.search.impl

## Class IndexBuildSpecification_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.search.impl.IndexBuildSpecification_impl

- All Implemented Interfaces:
    Serializable, Cloneable, MetaDataObject, IndexBuildSpecification, XMLizable

      public class IndexBuildSpecification_impl
      extends MetaDataObject_impl
      implements IndexBuildSpecification

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexBuildSpecification_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexBuildItem[]` | `getIndexBuildItems()` Gets the `IndexBuildItem` objects that comprise this index build specification.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `setIndexBuildItems(IndexBuildItem[] aItems)` Sets the `IndexBuildItem` objects that comprise this index build specification.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### IndexBuildSpecification_impl

          public IndexBuildSpecification_impl()

  - ### Method Detail

    - #### getIndexBuildItems

          public IndexBuildItem[] getIndexBuildItems()

      Description copied from interface: `IndexBuildSpecification`
      Gets the `IndexBuildItem` objects that comprise this index build specification. Each of these identifies an annotation type and describes how it should be indexed.
      Specified by:
        `getIndexBuildItems` in interface `IndexBuildSpecification`
      Returns:
        the build items

    - #### setIndexBuildItems

          public void setIndexBuildItems(IndexBuildItem[] aItems)

      Description copied from interface: `IndexBuildSpecification`
      Sets the `IndexBuildItem` objects that comprise this index build specification. Each of these identifies an annotation type and describes how it should be indexed.
      Specified by:
        `setIndexBuildItems` in interface `IndexBuildSpecification`
      Parameters:
        `aItems` - the build items

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.